Last Comment Bug 51326 - Method findNextInPage(boolean forward) doesn't use its forward parameter
: Method findNextInPage(boolean forward) doesn't use its forward parameter
Status: VERIFIED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: ---
Assigned To: Ashu Kulkarni
: geetha.vaidyanaathan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-05 01:45 PDT by Oleg Khokhlov
Modified: 2012-04-09 22:27 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch - diff -u for CurrentPageImpl.cpp (669 bytes, patch)
2000-09-11 13:39 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review
tar.gz of modified files (3.00 KB, application/octet-stream)
2000-09-11 13:42 PDT, Ashu Kulkarni
no flags Details
Proposed patch - diff -u CurrentPageImpl.cpp (1.30 KB, patch)
2000-09-12 09:36 PDT, Ashu Kulkarni
no flags Details | Diff | Splinter Review

Description Oleg Khokhlov 2000-09-05 01:45:06 PDT
Method findNextInPage(boolean forward) doesn't use its forward parameter (see 
CurrentPage.cpp)
This method use forward parameter, which was set in findInPage(java.lang.String 
stringToFind, boolean forward, boolean matchCase) method.

Possible solutions:
1. Remove forward parameter from this method (change findNextInPage(boolean 
forward) to findNextInPage()).
2. Use forward parameter in the body of this method.

Platform: Webclient source from Sep 04,2000.
Comment 1 edburns 2000-09-05 10:48:48 PDT
reassign to ashu
Comment 2 Ashu Kulkarni 2000-09-11 09:15:21 PDT
Thanks for catching this. However, I am not sure, the FindNextInPage functions
should have a "forward" input parameter. This is not in keeping with standard
behavior dislayed by either Netscape 4.x/Mozilla or IE.

_accept.

_Ashu
Comment 3 Ashu Kulkarni 2000-09-11 13:39:41 PDT
Created attachment 14416 [details] [diff] [review]
Proposed patch - diff -u for CurrentPageImpl.cpp
Comment 4 Ashu Kulkarni 2000-09-11 13:42:55 PDT
Created attachment 14417 [details]
tar.gz of modified files
Comment 5 edburns 2000-09-11 15:05:36 PDT
Comments on http://bugzilla.mozilla.org/showattachment.cgi?attach_id=14416 :

You're right it is not consistent to have "forward" param.  This is my fault.  
Nevertheless, let's check this in.  r=a=edburns.  Please file a separate bug 
about the incorrectness of the polarity of the API and assign it to ashu.
Comment 6 Oleg Khokhlov 2000-09-12 00:56:01 PDT
I submitted the separate bug #52239
Comment 7 Ashu Kulkarni 2000-09-12 09:36:24 PDT
Created attachment 14493 [details] [diff] [review]
Proposed patch - diff -u CurrentPageImpl.cpp
Comment 8 Ashu Kulkarni 2000-09-12 09:37:18 PDT
FindNextInPage now uses forward parameter.
See attached patch. Checked into cvs.

_Ashu
Comment 9 Oleg Khokhlov 2001-09-04 01:01:39 PDT
I mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.